Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::InterpretationRuleModbusException Struct Reference

InterpretationRuleModbusException is applied to modbus read exceptions. More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleModbusException:

## Public Attributes
vector< int > | exceptions
| list of modbus exception codes
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRuleModbusException is applied to modbus read exceptions.

Definition at line 441 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ exceptions

vector<int> peripheral::GatewaySensorManager::InterpretationRuleModbusException::exceptions

list of modbus exception codes

Definition at line 442 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl